Subject: Guix system entirely broken by updating second runc or by accidental hard reset
From: Steven Roose <[email-masked]>
To: [email-masked]
Date: Tue, 13 Jun 2023 04:25:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm writing this from my phone after a 3 hour attempt to fix my Guix system without success, it seems totally FUBAR.

So here is what I did:

$ guix package -I runc

Shortly after, my battery ran out and my laptop did a hard reset (yes trying to configure hibernate on low battery has been on my todo list for a while). I think the above command already finished when it reset, but I'm not entirely sure. It's been some hours.

So the current situation is this:

* All GUI apps I tried give "command not found", hence no Firefox or Thunderbird.
* My ~/.guix-profile/manifest is empty. Meaning that all guix package commands done in this profile give "unsupported manifest format".
* Idk if this is normal, but listing profiles as my regular user lists two profiles: ~/.guix-profile and ~/.config/guix/current.

I tried various things:

* editing PATH to remove my user profile (thinking this might use another runc) 
* running guix package -r from a root bash using the --profile= flag for the broken profile: same manifest error. When doing this for the ~/.config/guix/current profile, it says no runc found.
* guix pull, reconfigure and reboot from root
* asking for help on IRC (weechat works yay) 

I'm kinda hopeless. I can't do anything productive.

If I should post this in a forum instead of here, feel free to forward me.